Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class TimerInterface

All Known Implementing Classes:
  Timer

    public interface class TimerInterface

A TimerInterface defines a basic timing interface.

(Published)

Method Summary
`java.util.Date` | `getLastActivation()` Gets the time of the last timer expiration.
`java.util.Date` | `getNextActivation()` Gets the time of the next timer expiration.
`void` | `initialize(TimerContext context, AttributeValueTable avt)` Initializes the Timer.
`void` | `reset()` Resets the Timer.
`void` | `start()` Starts the Timer.
`void` | `stop()` Stops the Timer.

Method Detail

### initialize

    void initialize(TimerContext context,
                    AttributeValueTable avt)
                    throws IfsException

  Description copied from interface: `TimerInterface`
  Initializes the Timer.

  Parameters:
    `context` - the Timer context (the caller)
    `avt` - the Timer Configuration, typically a copy of the Server Configuration
  Throws:
    `IfsException` - if the operation fails

### start

    void start()

  Description copied from interface: `TimerInterface`
  Starts the Timer.

### stop

    void stop()

  Description copied from interface: `TimerInterface`
  Stops the Timer.

### reset

    void reset()

  Description copied from interface: `TimerInterface`
  Resets the Timer.

  This has the effect of preventing the next "timer expired" event from occurring until the Activation Period elapses relative to the current time.

### getLastActivation

    java.util.Date getLastActivation()

  Description copied from interface: `TimerInterface`
  Gets the time of the last timer expiration.

  Returns:
    the last activation time

### getNextActivation

    java.util.Date getNextActivation()

  Description copied from interface: `TimerInterface`
  Gets the time of the next timer expiration.

  Returns:
    the next activation time

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD